Package org.codehaus.janino.util.signature

# Interface SignatureParser.FieldTypeSignatureVisitor<T,EX extends Throwable>

Enclosing class:
  `SignatureParser`

public static interface SignatureParser.FieldTypeSignatureVisitor<T,EX extends Throwable>

## Method Summary

Modifier and Type
Method
Description
`T`
`visitArrayTypeSignature(SignatureParser.ArrayTypeSignature ats)`
`T`
`visitClassTypeSignature(SignatureParser.ClassTypeSignature cts)`
`T`
`visitTypeVariableSignature(SignatureParser.TypeVariableSignature tvs)`

## Method Details

### visitArrayTypeSignature

T visitArrayTypeSignature(SignatureParser.ArrayTypeSignature ats) throws EX

Throws:
  `EX`

### visitClassTypeSignature

T visitClassTypeSignature(SignatureParser.ClassTypeSignature cts) throws EX

Throws:
  `EX`

### visitTypeVariableSignature

T visitTypeVariableSignature(SignatureParser.TypeVariableSignature tvs) throws EX

Throws:
  `EX`